/* global HTMLButtonElement, customElements */

export class DateSelect extends HTMLButtonElement {
  connectedCallback () {
    this.date = this.getAttribute('date')
    this.dateField = this.closest('.form-group').querySelector('input[type=date]')

    if (this.date && this.dateField) {
      this.addEventListener('click', (e) => {
        e.preventDefault()
        this.dateField.value = this.date
      })
    }
  }
}

customElements.define('date-select', DateSelect, { extends: 'button' })
