/* global HTMLElement, customElements */

export class ExpandingForm extends HTMLElement {
  connectedCallback () {
    this.expandingFormButton = this.querySelector('.expand-form-button')
    this.form = this.querySelector('.expandable-form')

    this.expandListener = ev => this.toggleExpand()
    this.expandingFormButton?.addEventListener('click', this.expandListener)
  }

  disconnectedCallback () {
    this.expandingFormButton?.removeEventListener('click', this.expandListener)
  }

  toggleExpand () {
    this.form?.classList.toggle('hidden')
  }
}
customElements.define('expanding-form', ExpandingForm)
