/* global customElements, HTMLElement */
import { domElement } from '../utils/dom.js'

const label = (classes, activates) => domElement(`
  <label class="${classes}" for="${activates}"></label>
`)

const checkbox = (id) => domElement(`
  <input class="on-demand-state-checkbox" type="checkbox" name="${id}" id="${id}">
`)

export class OnDemandActions extends HTMLElement {
  constructor () {
    super()

    const uuid = Math.ceil(Math.random() * 100000)
    const modelStateId = `model-state-${uuid}`
    this.modelState = checkbox(modelStateId)
    this.openLabel = label('on-demand-open-label', modelStateId)
    this.backdropLabel = label('on-demand-backdrop-label hidden', modelStateId)
  }

  connectedCallback () {
    this.prepend(this.modelState)
    this.appendChild(this.openLabel)
    this.appendChild(this.backdropLabel)
  }
}

customElements.define('on-demand-actions', OnDemandActions)
