/* global customElements, HTMLElement, DOMParser */

const domElement = str => {
  const parser = new DOMParser()
  const doc = parser.parseFromString(str, 'text/html')
  return doc.body.firstChild
}

export class RangeInput extends HTMLElement {
  connectedCallback () {
    const unit = this.getAttribute('unit')
    const input = this.querySelector('input[type="range"]')
    if (input) {
      const id = input.getAttribute('id')
      const name = input.getAttribute('name')

      const output = domElement(`<output for="${id || name}">`)
      output.value = input.value

      this.addEventListener('change', (e) => {
        output.value = input.value
      })

      if (unit) {
        const unitWrapper = domElement(`<span>${unit}</span>`)
        unitWrapper.prepend(output)
        input.after(unitWrapper)
      } else {
        input.after(output)
      }
    }
  }
}

customElements.define('range-input', RangeInput)
